promoter.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | stan::math::promoter< F, T >
struct | stan::math::promoter< T, T >
struct | stan::math::promoter< std::vector< F >, std::vector< T > >
struct | stan::math::promoter< std::vector< T >, std::vector< T > >
struct | stan::math::promoter< Eigen::Matrix< F, R, C >, Eigen::Matrix< T, R, C > >
struct | stan::math::promoter< Eigen::Matrix< T, R, C >, Eigen::Matrix< T, R, C > >

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

[ Stan Home Page ] © 2011–2016, Stan Development Team.